infst_adjoint_plan Struct Reference

Structure for an adjoint transform plan. More...

`#include <solver_adjoint.h>`

Collaboration diagram for infst_adjoint_plan:
[legend]

## Data Fields

nfst_plan * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
double * | w
| weighting factors
double * | w_hat
| damping factors
double * | y_hat
| right hand side, samples
double * | f_iter
| iterative solution
double * | r_hat_iter
| iterated residual vector
double * | z_iter
| residual of normal equation of \ first kind
double * | p_iter
| search direction
double * | v_hat_iter
| residual vector update
double | alpha_iter
| step size for search direction
double | beta_iter
| step size for search correction
double | dot_r_hat_iter
| weighted dotproduct of r_iter
double | dot_r_hat_iter_old
| previous dot_r_iter
double | dot_z_iter
| weighted dotproduct of \ z_hat_iter
double | dot_z_iter_old
| previous dot_z_hat_iter
double | dot_p_iter
| weighted dotproduct of \ p_hat_iter
double | dot_v_hat_iter
| weighted dotproduct of v_iter

## Detailed Description

Structure for an adjoint transform plan.

Definition at line 82 of file solver_adjoint.h.

The documentation for this struct was generated from the following file:

- solver_adjoint.h